"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = __importDefault(require("./globals"));
class Logging {
    static cliLog(prefix, message) {
        globals_1.default.serverless.cli.log(`${prefix} ${message}`, globals_1.default.pluginName);
    }
    /**
       * Logs info message
       */
    static logInfo(message) {
        if (globals_1.default.v3Utils) {
            globals_1.default.v3Utils.log.verbose(message);
        }
        else {
            Logging.cliLog("[Info]", message);
        }
    }
    /**
       * Logs warning message
       */
    static logWarning(message) {
        if (globals_1.default.v3Utils) {
            globals_1.default.v3Utils.log.warning(message);
        }
        else {
            Logging.cliLog("[WARNING]", message);
        }
    }
}
exports.default = Logging;
